## groovy.ui
Class GroovySocketServer

Simple server that executes supplied script against a socket

version:
  $Id: GroovySocketServer.java 7252 2007-08-15 22:17:24Z user57 $

author:
  Jeremy Rayner

Field Summary
`boolean` | `autoOutput`
`GroovyShell` | `groovy`
`boolean` | `isScriptFile`
`String` | `scriptFilenameOrText`
`URL` | `url`

Constructor Summary
`GroovySocketServer(GroovyShell groovy, boolean isScriptFile, String scriptFilenameOrText, boolean autoOutput, int port)`

Method Summary
`void` | `run()`

Constructor Detail

### GroovySocketServer

    public GroovySocketServer(GroovyShell groovy, boolean isScriptFile, String scriptFilenameOrText, boolean autoOutput, int port)

Method Detail

### run

    public void run()